import type { HTMLAttributes } from "react";
import type { PillSize } from "./types";
export type ColorPillAttributes = Omit<HTMLAttributes<HTMLDivElement>, "onSelect">;
export interface ColorPillProps extends ColorPillAttributes {
    color: string;
    isAuto?: boolean;
    isSelected?: boolean;
    onSelect?: (newColor: string) => void;
    pillSize?: PillSize;
}
declare const _default: ((props: ColorPillProps & import("react").RefAttributes<HTMLDivElement>) => import("react").ReactElement<any, string | import("react").JSXElementConstructor<any>> | null) & {
    Content: import("@emotion/styled").StyledComponent<{
        theme?: import("@emotion/react").Theme | undefined;
        as?: import("react").ElementType<any, keyof import("react").JSX.IntrinsicElements> | undefined;
    }, import("react").DetailedHTMLProps<HTMLAttributes<HTMLDivElement>, HTMLDivElement>, {}>;
    Root: import("@emotion/styled").StyledComponent<{
        theme?: import("@emotion/react").Theme | undefined;
        as?: import("react").ElementType<any, keyof import("react").JSX.IntrinsicElements> | undefined;
    } & import("./ColorPill.styled").ColorPillRootProps, import("react").DetailedHTMLProps<HTMLAttributes<HTMLDivElement>, HTMLDivElement>, {}>;
};
export default _default;
